<?php

  $web_agency_elementor_theme_custom_setting_css = '';

	// Global Color
	$web_agency_elementor_theme_color = get_theme_mod('web_agency_elementor_theme_color', '#ffb424');
	$web_agency_elementor_theme_second_color = get_theme_mod('web_agency_elementor_theme_second_color', '#ff8751');

	$web_agency_elementor_theme_custom_setting_css .=':root {';
		$web_agency_elementor_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($web_agency_elementor_theme_color ).'!important;';
		$web_agency_elementor_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($web_agency_elementor_theme_second_color ).'!important;';
	$web_agency_elementor_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$web_agency_elementor_scroll_alignment = get_theme_mod('web_agency_elementor_scroll_alignment', 'right');

	if($web_agency_elementor_scroll_alignment == 'right'){
		$web_agency_elementor_theme_custom_setting_css .='.scroll-up{';
			$web_agency_elementor_theme_custom_setting_css .='right: 30px;!important;';
			$web_agency_elementor_theme_custom_setting_css .='left: auto;!important;';
		$web_agency_elementor_theme_custom_setting_css .='}';
	}else if($web_agency_elementor_scroll_alignment == 'center'){
		$web_agency_elementor_theme_custom_setting_css .='.scroll-up{';
			$web_agency_elementor_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
		$web_agency_elementor_theme_custom_setting_css .='}';
	}else if($web_agency_elementor_scroll_alignment == 'left'){
		$web_agency_elementor_theme_custom_setting_css .='.scroll-up{';
			$web_agency_elementor_theme_custom_setting_css .='left: 30px;!important;';
			$web_agency_elementor_theme_custom_setting_css .='right: auto;!important;';
		$web_agency_elementor_theme_custom_setting_css .='}';
	}

	// Related Product

	$web_agency_elementor_show_related_product = get_theme_mod('web_agency_elementor_show_related_product', true );

	if($web_agency_elementor_show_related_product != true){
		$web_agency_elementor_theme_custom_setting_css .='.related.products{';
			$web_agency_elementor_theme_custom_setting_css .='display: none;';
		$web_agency_elementor_theme_custom_setting_css .='}';
	}
	
	// Featured Image Hover Effect
    $web_agency_elementor_show_featured = get_theme_mod('web_agency_elementor_featured_image_hide_show', 1);
    $web_agency_elementor_hover_effect = get_theme_mod('web_agency_elementor_single_post_featured_image_hover','none');

    if ( $web_agency_elementor_show_featured && $web_agency_elementor_hover_effect !== 'none' ) {

    $web_agency_elementor_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $web_agency_elementor_hover_effect === 'zoom-in' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $web_agency_elementor_hover_effect === 'zoom-out' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $web_agency_elementor_hover_effect === 'grayscale' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $web_agency_elementor_hover_effect === 'sepia' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $web_agency_elementor_hover_effect === 'blur' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $web_agency_elementor_hover_effect === 'bright' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $web_agency_elementor_hover_effect === 'translate' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $web_agency_elementor_hover_effect === 'scale' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

 // Product Featured Image Hover Effect
    $web_agency_elementor_show_featured = get_theme_mod('web_agency_elementor_featured_image_hide_show', 1);
    $web_agency_elementor_hover_effect = get_theme_mod('web_agency_elementor_product_featured_image_hover','none');

    if ( $web_agency_elementor_show_featured && $web_agency_elementor_hover_effect !== 'none' ) {

    $web_agency_elementor_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $web_agency_elementor_hover_effect === 'zoom-in' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $web_agency_elementor_hover_effect === 'zoom-out' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $web_agency_elementor_hover_effect === 'grayscale' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $web_agency_elementor_hover_effect === 'sepia' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $web_agency_elementor_hover_effect === 'blur' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $web_agency_elementor_hover_effect === 'bright' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $web_agency_elementor_hover_effect === 'translate' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $web_agency_elementor_hover_effect === 'scale' ) {
        $web_agency_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   